> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary count report

> Get a summary report for a camera, location, or organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getSummaryCountReport
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getSummaryCountReport:
    post:
      tags:
        - Report Webservice
      summary: Get summary count report
      description: Get a summary report for a camera, location, or organization
      operationId: getSummaryCountReport
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Report_GetSummaryCountReportWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report_GetSummaryCountReportWSResponse'
          description: OK
components:
  schemas:
    Report_GetSummaryCountReportWSRequest:
      type: object
      description: Request object for getting summary count reports.
      properties:
        endDate:
          type: string
          deprecated: true
          description: Deprecated input, use endTimeMs instead
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        interval:
          $ref: '#/components/schemas/ReportIntervalEnum'
        scope:
          $ref: '#/components/schemas/ReportScopeEnum'
        startDate:
          type: string
          deprecated: true
          description: Deprecated input, use startTimeMs instead
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        timeZone:
          type: string
          description: String of timezone for bucketing
          example: America/Los_Angeles
          nullable: true
        type:
          $ref: '#/components/schemas/ReportTypeEnum'
      required:
        - interval
        - scope
        - type
    Report_GetSummaryCountReportWSResponse:
      type: object
      description: Response object for getting summary count reports.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        timeSeriesDataPoints:
          type: array
          description: List of summary count time series data points
          items:
            $ref: '#/components/schemas/SummaryCountTimeSeriesDataPointType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ReportIntervalEnum:
      type: string
      description: Report interval for filtering face events
      enum:
        - MINUTELY
        - QUARTERHOURLY
        - HOURLY
        - DAILY
        - WEEKLY
        - MONTHLY
    ReportScopeEnum:
      type: string
      description: Scope of the report to reset
      enum:
        - REGION
        - DEVICE
        - LOCATION
        - ORG
    ReportTypeEnum:
      type: string
      description: Type of report to receive
      enum:
        - CROWD
        - PEOPLE
        - FACES
        - MOTION
        - BANDWIDTH
        - VEHICLES
        - LICENSEPLATES
        - ALERTS
        - AM_VERIFICATION
        - DWELL
    SummaryCountTimeSeriesDataPointType:
      type: object
      description: List of summary count time series data points
      properties:
        avgEventCountMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EventCount'
          nullable: true
        dateLocal:
          type: string
          nullable: true
        dateUtc:
          type: string
          nullable: true
        maxEventCountMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EventCount'
          nullable: true
        minEventCountMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EventCount'
          nullable: true
        reportingDevicesMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: DeviceFacetUuid
              description: RUUID with optional appended facet information
              example: AAAAAAAAAAAAAAAAAAAAAA.v0
              nullable: true
            nullable: true
          nullable: true
    EventCount:
      type: object
      properties:
        count:
          type: number
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````